Subject: Re: bug#19889: bug#22207: emacs-25 mishandles info code text on Fedora 23

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 May 2016 09:50:50 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Fri, 06 May 2016 15:32:43 -0400
> 
> > The problem is, which font to specify explicitly? Not all platforms
> > have a font named "Courier".
> 
> That's what face-font-family-alternatives is for.  We already have an
> entry in there for "courier", so it just needs to be completed.

But if what we want is a specific font, then adding its family will
produce unreliable results, and might well yield a font we don't want
in some setups.

IOW, what you suggest was already tried, and found to fail in some
cases.  We are trying to fix those cases, so using the same technique
we already know is faulty sounds unwise to me.